# $Revision: 1.14 $, $Date: 2010/04/05 19:05:27 $
%define		plugin	check_mysql_replication
%include	/usr/lib/rpm/macros.perl
Summary:	Nagios plugin to check replication between MySQL database instances
Summary(pl.UTF-8):	Wtyczka Nagiosa do sprawdzania replikacji między instancjami bazy danych MySQL
Name:		nagios-plugin-%{plugin}
Version:	0.03
Release:	6
License:	Opensource
Group:		Networking
Source0:	http://www.james.rcpt.to/svn/trunk/nagios/check_mysql_replication/check_mysql_replication.pl
# Source0-md5:	af8da7807e1a03bf301fa70658fb08c3
Source1:	%{plugin}.cfg
Patch0:		%{name}-defaultpass.patch
Patch1:		report-errors.patch
URL:		http://www.james.rcpt.to/svn/trunk/nagios/check_mysql_replication/
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	nagios-common >= 2.9-2
Requires:	perl-DBD-mysql
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nagios/plugins
%define		plugindir	%{_prefix}/lib/nagios/plugins

%description
Check if a MySQL slave is running (IO thread), plus check the master
and server to see their current replication BINLOG positions.

%description -l pl.UTF-8
Ta wtyczka sprawdza, czy podrzędny MySQL (wątek IO) działa, oraz
sprawdza instancję nadrzędną i podrzędną, aby sprawdzić ich aktualne
położenia BINLOG replikacji.

%prep
%setup -q -c -T
cp -a %{SOURCE0} %{plugin}
%patch0 -p1
%patch1 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{plugindir}}
install -p %{plugin} $RPM_BUILD_ROOT%{plugindir}
sed -e 's,@plugindir@,%{plugindir},' %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/%{plugin}.cfg

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{plugin}.cfg
%attr(755,root,root) %{plugindir}/%{plugin}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nagios-plugin-check_mysql_replication.spec,v $
Revision 1.14  2010/04/05 19:05:27  glen
- use nagios-common instead of nagios-core; rel 6

Revision 1.13  2009/09/08 11:15:15  glen
- report connect error details in status

Revision 1.12  2009/09/08 09:22:16  glen
- add more generic config; rel 4

Revision 1.11  2007/05/16 12:56:14  glen
- noarch; rel 3

Revision 1.10  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:49:09  baggins
- converted to UTF-8

Revision 1.8  2006/12/27 13:24:37  glen
- do not set default slave pass; rel 2

Revision 1.7  2006/12/27 13:15:28  glen
- typo; rel 1

Revision 1.6  2006/08/29 22:14:57  glen
- direct Source0 address

Revision 1.5  2006/08/29 22:13:37  glen
- new upstream source; new URL

Revision 1.4  2006/08/29 12:31:50  glen
- permission and formatting bugfixes

Revision 1.3  2006/03/19 09:54:05  qboosh
- pl

Revision 1.2  2006/03/14 21:04:03  glen
- summary from program source

Revision 1.1  2006/03/14 21:00:08  glen
- new
